// Extractor.java
// Author: Stuart Clayman
// Email: sclayman@ee.ucl.ac.uk
// Date: July 2009

package eu.reservoir.aggregator;

import eu.reservoir.monitoring.core.Measurement;
import java.io.Serializable;

/**
 * This interface is used to define extractors for a Collector.
 * The extract() method takes an individual Measurement
 * and returns the data to be stored by the Collector.
 * As it is stored, it has to be Serializable.
 */
public interface Extractor {
    /**
     * Extract some data from a Measurement, and return a serializable
     * which can be saved.
     */
    public Serializable extract(Measurement m);
}