// Forwarder1.java
// Author: Stuart Clayman
// Email: sclayman@ee.ucl.ac.uk
// Date: July 2009

package eu.reservoir.aggregator.tests;

import eu.reservoir.aggregator.*;
import eu.reservoir.monitoring.core.*;
import eu.reservoir.monitoring.core.plane.DataPlane;
import eu.reservoir.monitoring.distribution.*;
import eu.reservoir.monitoring.distribution.multicast.*;
//import eu.reservoir.monitoring.im.*;
import java.net.InetAddress;
import java.util.Scanner;
import java.util.ArrayList;


/**
 * Test of Forwarder.
 */
public class Forwarder1 {
    /**
     * Main test.
     */
    public static void main(String [] args) {
	String addr = "229.229.0.2";
	int port = 2299;

	if (args.length == 0) {
	    // use existing settings
	} else if (args.length == 2) {
	    addr = args[0];

	    Scanner sc = new Scanner(args[1]);
	    port = sc.nextInt();

	} else {
	    System.err.println("Forwarder multicast-address port");
	    System.exit(1);
	}

	// set up ProbeAttributes
	// field 0 is the avg
	DefaultProbeAttribute pa0 = new DefaultProbeAttribute(0, "average", ProbeAttributeType.DOUBLE, "n");
		    
	// create a list of ProbeAttribute
	ArrayList paList = new ArrayList();
	paList.add(pa0);


	// got to here, so forwarder is set up
        DataPlane outputDataPlane = new MulticastDataPlaneProducer(new  MulticastAddress(addr,port));
	Forwarder forwarder = new Forwarder(outputDataPlane, "aggregated", paList);

	// start
	forwarder.start();

	System.err.println("Forwarder running on " + addr + "/" + port + " .....");

    }
}
