// Test11.java

package uk.co.timeindexing.matrix.tests;

import uk.co.timeindexing.matrix.*;

/**
 * Set some rows and values.
 * Test matrix2D -> matrixN conversion
 */
public class Test11 {
    public static void main(String[] args) {
	final int SIZE = 4;

	Matrix matrix = new Matrix2D(SIZE, SIZE);

	// fill
	for (int i=1; i<=SIZE; i++) {
	    for (int j=1; j<=SIZE; j++) {
		int value = i*(j+i);

		matrix.set(i,j, new Integer(value));
	    }
	}
	    

	System.out.println("2D Matrix =");
	System.out.println(matrix);

	// convert general to square
	SquareMatrix matrixN = new MatrixN(matrix);

	System.out.println("Square Matrix =");
	System.out.println(matrixN);

	try {
	    // try and append a column
	    // this should fail
	    matrixN.append(matrix.column(1));
	} catch (UnsupportedOperationException uoe) {
	    System.err.println("Operation failed!. " + uoe.getMessage());
	}

	System.out.println("Square Matrix. Extra column? =");
	System.out.println(matrixN);

	// now transpose it
	SquareMatrix trans = matrixN.transpose();

	System.out.println("Square Matrix transpose =");
	System.out.println(trans);

	// convert square to general matrix
	Matrix general = new Matrix2D(trans);


	// try and append a column
	// this should work
	general.append(matrix.column(1));

	System.out.println("Transposed Matrix . Extra column =");
	System.out.println(general);

	

    }
}
