// Test13.java

package uk.co.timeindexing.matrix.tests;

import uk.co.timeindexing.matrix.*;

/**
 * Set some rows and values.
 * Test invers on 3 x 3
 */
public class Test13 {
    public static void main(String[] args) {
	final int SIZE = 3;

	SquareMatrix matrix = new MatrixN(SIZE);

	// fill
	matrix.set(1,1 , new Integer(4));
	matrix.set(1,2 , new Integer(0));
	matrix.set(1,3 , new Integer(0));
	matrix.set(2,1 , new Integer(0));
	matrix.set(2,2 , new Integer(6));
	matrix.set(2,3 , new Integer(2));
	matrix.set(3,1 , new Integer(2));
	matrix.set(3,2 , new Integer(0));
	matrix.set(3,3 , new Integer(1));

	    
	    
	System.out.println("Matrix (3,3) =");
	System.out.println(matrix);

	Number determinant = matrix.determinant();

	System.out.println("Determinate = " + determinant);
	System.out.println();


	Matrix cofactors = matrix.cofactors();

	System.out.println("Cofactors =");
	System.out.println(cofactors);

	Matrix adjoint = matrix.adjoint();

	System.out.println("Adjoint  = ");
	System.out.println(adjoint);

	try {
	    Matrix inverse = matrix.invert();
	
	    System.out.println("Inverse  = ");
	    System.out.println(inverse);


	    System.out.println("M * M-1 == I ?");
	    Matrix identity = matrix.multiply(inverse);
	    System.out.println(identity);

	} catch (MatrixNotInvertableException mnie) {
	    System.err.println("Can't invert matrix");
	    System.exit(1);
	}

    }
}
