// TestInv4x4.java

package uk.co.timeindexing.matrix.tests;

import uk.co.timeindexing.matrix.*;

/**
 * Set some rows and values.
 * Test invers on 4 X 4.
 */
public class TestInv4x4 {
    public static void main(String[] args) {
	final int SIZE = 4;

	SquareMatrix matrix = new MatrixN(SIZE);

	// fill
	matrix.set(1,1 , new Integer(4));
	matrix.set(1,2 , new Integer(8));
	matrix.set(1,3 , new Integer(4));
	matrix.set(1,4 , new Integer(0));
	matrix.set(2,1 , new Integer(1));
	matrix.set(2,2 , new Integer(5));
	matrix.set(2,3 , new Integer(4));
	matrix.set(2,4 , new Integer(-3));
	matrix.set(3,1 , new Integer(1));
	matrix.set(3,2 , new Integer(4));
	matrix.set(3,3 , new Integer(7));
	matrix.set(3,4 , new Integer(2));
	matrix.set(4,1 , new Integer(1));
	matrix.set(4,2 , new Integer(3));
	matrix.set(4,3 , new Integer(0));
	matrix.set(4,4 , new Integer(2));

	    
	    
	System.out.println("Matrix (4,4) =");
	System.out.println(matrix);

	Number determinant = matrix.determinant();

	System.out.println("Determinate = " + determinant);
	System.out.println();


	try {
	    Matrix inverse = matrix.invert();
	
	    System.out.println("Inverse  = ");
	    System.out.println(inverse);


	    System.out.println("M * M-1 == I ?");
	    Matrix identity = matrix.multiply(inverse);
	    System.out.println(identity);

	} catch (MatrixNotInvertableException mnie) {
	    System.err.println("Can't invert matrix");
	    System.exit(1);
	}

    }
}
